Package org.codehaus.groovy.control.messages

# Class Message

java.lang.Object
org.codehaus.groovy.control.messages.Message

Direct Known Subclasses:
  `ExceptionMessage`, `SimpleMessage`, `SyntaxErrorMessage`

public abstract class Message extends Object
A base class for compilation messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Message`
  `create(String text, Object data, ProcessingUnit owner)`
  Creates a new Message from the specified text.
  `static Message`
  `create(String text, ProcessingUnit owner)`
  Creates a new Message from the specified text.
  `static Message`
  `create(SyntaxException error, SourceUnit owner)`
  Creates a new Message from the specified SyntaxException.
  `final void`
  `write(PrintWriter writer)`
  A synonym for write( writer, owner, null ).
  `abstract void`
  `write(PrintWriter writer, Janitor janitor)`
  Writes the message to the specified PrintWriter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### write

    public abstract void write(PrintWriter writer, Janitor janitor)
    Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

  - ### write

    public final void write(PrintWriter writer)
    A synonym for write( writer, owner, null ).

  - ### create

    public static Message create(String text, ProcessingUnit owner)
    Creates a new Message from the specified text.

  - ### create

    public static Message create(String text, Object data, ProcessingUnit owner)
    Creates a new Message from the specified text.

  - ### create

    public static Message create(SyntaxException error, SourceUnit owner)
    Creates a new Message from the specified SyntaxException.